# Reação a uma mensagem

### Exemplo de body recebido no webhook

#### Envio e recebimento

{% code overflow="wrap" fullWidth="false" %}

```json
{
  "event": "MESSAGE",
  "data": {
    "message": {
      "key": {
        "remoteJid": "557999070094@s.whatsapp.net",//Número da conversa
        "fromMe": false,// se for recebimento será false e se for voce que enviou será true
        "id": "6351F5DB0597B98F1FC65B0A95720ADF"// ID da mensagem no WhatsApp
      },
      "messageTimestamp": 1686839521,
      "pushName": ".",
      "message": {
        "messageContextInfo": {
          "deviceListMetadata": {
            "senderKeyHash": "AofW3u2YzeOX8g==",
            "senderTimestamp": "1686702226",
            "recipientKeyHash": "l7l0ggVb98ikLg==",
            "recipientTimestamp": "1686834621"
          },
          "deviceListMetadataVersion": 2,
          "messageAddOnDurationInSecs": 0
        },
        "reactionMessage": {// Objeto referente a reação
          "key": {//Objeto referente a mensagem que foi reagida
            "remoteJid": "557999070094@s.whatsapp.net",
            "fromMe": true,
            "id": "BAE5873ED78F0837"
          },
          "text": "🙏🏾",// Emoji utilizado na reação
          "senderTimestampMs": "1686839521528"
        }
      }
    },
    "instanceId": 450
  }
}
```

{% endcode %}

{% hint style="warning" %} <mark style="color:orange;">A diferença do body para o webhook de recebimento é que o de recebimento virá com "pushName" que seria o nome no WhatsApp de quem enviou a mensagem. E o Status de "PENDING" que vem no envio via endpoint ou status 2 via celular.</mark>
{% endhint %}

####


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.astraapi.com/webhooks/envio-recebimento-de-mensagens/reacao-a-uma-mensagem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
